<log4net>
	<appender name="Console" type="log4net.Appender.ConsoleAppender">
		<layout type="log4net.Layout.PatternLayout">
			<!-- Pattern to output the caller's file name and line number -->
			<conversionPattern value="%date %5level [%thread] (%file:%line) - %message%newline" />
		</layout>
	</appender>
	
	<appender name="RollingFile" type="log4net.Appender.RollingFileAppender">
		<encoding value="Unicode" />
		<!--param name="File" value=".\\system\\Program.log" /-->
		<param name="File" value="Program.log" />
		<param name="AppendToFile" value="true" />
		<param name="RollingStyle" value="Size" />
		<param name="MaxSizeRollBackups" value="3" />
		<param name="MaximumFileSize" value="100KB" />
		<param name="StaticLogFileName" value="true" />

		<layout type="log4net.Layout.PatternLayout">
      <!-- <conversionPattern value="%date{dd.MM.yyyy HH:mm:ss} [%thread] %-5level %logger [%ndc] - %message%newline" /> -->
      <conversionPattern value="%date{dd.MM.yyyy|HH:mm:ss.fff}|[%thread]|%-5level|%logger|%message%newline" />
    </layout>
	</appender> 
	
	<appender name="OutputDebugStringAppender" type="log4net.Appender.OutputDebugStringAppender" >
		<layout type="log4net.Layout.PatternLayout">
			<param name="ConversionPattern" value="%d [%t] %-5p %c [%x] - %m%n" />
		</layout>
	</appender>

	<appender name="UdpAppender" type="log4net.Appender.UdpAppender">
		<param name="LocalPort" value="8080" />
		<param name="RemoteAddress" value="224.0.0.1" />
		<param name="RemotePort" value="8080" />

		<layout type="log4net.Layout.PatternLayout, log4net">
			<param name="ConversionPattern" value="%-5p %c [%x] - %m%n" />
		</layout>
	</appender>


	<root>
		<!--level value="DEBUG" /-->
		<level value="ALL" />
		<appender-ref ref="Console" />
		<appender-ref ref="RollingFile" />
		<appender-ref ref="OutputDebugStringAppender" />
		<!-- <appender-ref ref="UdpAppender" /> -->
	</root>
</log4net>
